PGPAINLESS-CLI-GENERATE-COMPLETION(1)

NAME
pgpainless-cli-generate-completion - Stateless OpenPGP Protocol

SYNOPSIS

pgpainless-cli generate-completion [-hV] [--stacktrace]

DESCRIPTION

Generate bash/zsh completion script for pgpainless-cli. Run the following command to give pgpainless-cli TAB completion in the current shell:

    source <(pgpainless-cli generate-completion)

OPTIONS

-h, --help
    Show this help message and exit.

--stacktrace
    Print stacktrace

-V, --version
    Print version information and exit.

EXIT CODES:

0
    Successful program execution

1
    Generic program error

3
    Verification requested but no verifiable signature found

13
    Unsupported asymmetric algorithm

17
    Certificate is not encryption capable

19
    Usage error: Missing argument

23
    Incomplete verification instructions

29
    Unable to decrypt

31
    Password is not human-readable

37
    Unsupported Option

41
    Invalid data or data of wrong type encountered

53
    Non-text input received where text was expected

59
    Output file already exists

61
    Input file does not exist

67
    Cannot unlock password protected secret key

69
    Unsupported subcommand

71
    Unsupported special prefix (e.g. "@ENV/@FD") of indirect parameter

73
    Ambiguous input (a filename matching the designator already exists)

79
    Key is not signing capable

83
    Options were supplied that are incompatible with each other

89
    The requested profile is unsupported, or the indicated subcommand does not accept profiles